Bug 187594 - hardcoded BuildRoot value
hardcoded BuildRoot value
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 187864
  Show dependency treegraph
Reported: 2006-04-01 10:10 EST by Leonid Kanter
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-03 07:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2006-04-01 10:10:22 EST
Description of problem:

BuildRoot value is hardcoded in spec to /var/tmp/gcc-root. It should be
something like %{_tmppath}/%{name}-%{version}-root.
Comment 1 Jakub Jelinek 2006-04-03 07:18:42 EDT
It really doesn't matter, it is overridden almost always anyway.
There are many packages that have similar buildroot values.
All that matters is whether the BuildRoot tag is present or not.
Comment 2 Eugene Kanter 2006-04-03 08:52:37 EDT
There probably is some other issue in gcc spec file. GCC was the only package
out of all RHELv4 updates which completely ignored

%_tmppath %(eval 'echo $HOME/tmp')

in ~/.rpmmacros and continued to place its files in /var/tmp/gcc-root
Comment 3 Eugene Kanter 2006-04-03 23:18:41 EDT
Original submitter is not able to reopen the but so I am creating another one.

Note You need to log in before you can comment on or make changes to this bug.